> For the complete documentation index, see [llms.txt](https://developers.polymath.network/classic-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/classic-sdk/beta/external-modules/_entities_securitytoken_issuance_offerings_.offerings.md).

# Offerings

Namespace that handles all Offering related functionality

## Hierarchy

* [SubModule](broken://pages/-M-tw-_imoK_Iy9YVBmV)

  ↳ **Offerings**

## Index

### Constructors

* [constructor](broken://pages/-M-tw-_eflc0rfp1Ly-X#constructor)

### Properties

* [context](broken://pages/-M-tw-_eflc0rfp1Ly-X#protected-context)
* [securityToken](broken://pages/-M-tw-_eflc0rfp1Ly-X#protected-securitytoken)

### Methods

* [getSto](broken://pages/-M-tw-_eflc0rfp1Ly-X#getsto)
* [getStos](broken://pages/-M-tw-_eflc0rfp1Ly-X#getstos)
* [launchSimpleSto](broken://pages/-M-tw-_eflc0rfp1Ly-X#launchsimplesto)
* [launchTieredSto](broken://pages/-M-tw-_eflc0rfp1Ly-X#launchtieredsto)

## Constructors

### constructor

\+ **new Offerings**(`securityToken`: [SecurityToken](broken://pages/-M-tw-_gGGX7EAygI8FP), `context`: [Context](broken://pages/-M-tw-_Q7PZbtE8P8eVD)): [*Offerings*](broken://pages/-M-tw-_eflc0rfp1Ly-X)

*Inherited from* [*SubModule*](broken://pages/-M-tw-_imoK_Iy9YVBmV)*.*[*constructor*](broken://pages/-M-tw-_imoK_Iy9YVBmV#constructor)

*Defined in* [*src/entities/SecurityToken/SubModule.ts:10*](https://github.com/PolymathNetwork/polymath-sdk/blob/550676f/src/entities/SecurityToken/SubModule.ts#L10)

Create a new SubModule instance

**Parameters:**

| Name            | Type                                                 |
| --------------- | ---------------------------------------------------- |
| `securityToken` | [SecurityToken](broken://pages/-M-tw-_gGGX7EAygI8FP) |
| `context`       | [Context](broken://pages/-M-tw-_Q7PZbtE8P8eVD)       |

**Returns:** [*Offerings*](broken://pages/-M-tw-_eflc0rfp1Ly-X)

## Properties

### `Protected` context

• **context**: [*Context*](broken://pages/-M-tw-_Q7PZbtE8P8eVD)

*Inherited from* [*SubModule*](broken://pages/-M-tw-_imoK_Iy9YVBmV)*.*[*context*](broken://pages/-M-tw-_imoK_Iy9YVBmV#protected-context)

*Defined in* [*src/entities/SecurityToken/SubModule.ts:10*](https://github.com/PolymathNetwork/polymath-sdk/blob/550676f/src/entities/SecurityToken/SubModule.ts#L10)

### `Protected` securityToken

• **securityToken**: [*SecurityToken*](broken://pages/-M-tw-_gGGX7EAygI8FP)

*Inherited from* [*SubModule*](broken://pages/-M-tw-_imoK_Iy9YVBmV)*.*[*securityToken*](broken://pages/-M-tw-_imoK_Iy9YVBmV#protected-securitytoken)

*Defined in* [*src/entities/SecurityToken/SubModule.ts:8*](https://github.com/PolymathNetwork/polymath-sdk/blob/550676f/src/entities/SecurityToken/SubModule.ts#L8)

## Methods

### getSto

▸ **getSto**(`args`: [GetStoParams](broken://pages/-M-tw-bfvdv3MAxmZmto) | string): *Promise‹any›*

*Defined in* [*src/entities/SecurityToken/Issuance/Offerings.ts:223*](https://github.com/PolymathNetwork/polymath-sdk/blob/550676f/src/entities/SecurityToken/Issuance/Offerings.ts#L223)

Retrieve an STO by type and address or UUID

**Parameters:**

| Name   | Type                                                          | Description                                        |
| ------ | ------------------------------------------------------------- | -------------------------------------------------- |
| `args` | [GetStoParams](broken://pages/-M-tw-bfvdv3MAxmZmto) \| string | STO uuid or object containing its type and address |

**Returns:** *Promise‹any›*

### getStos

▸ **getStos**(`opts`: object): *Promise‹*[*SimpleSto*](broken://pages/-M-tw-_piA8CGvVwMlQi) *|* [*TieredSto*](broken://pages/-M-tw-_s2mCsrosd0XRo)*\[]›*

*Defined in* [*src/entities/SecurityToken/Issuance/Offerings.ts:260*](https://github.com/PolymathNetwork/polymath-sdk/blob/550676f/src/entities/SecurityToken/Issuance/Offerings.ts#L260)

Retrieve all STOs attached to a security token

**Parameters:**

▪`Default value` **opts**: *object*= { stoTypes: \[StoType.Simple, StoType.Tiered], }

| Name       | Type                                              |
| ---------- | ------------------------------------------------- |
| `stoTypes` | [StoType](broken://pages/-M-tw-azHoOzLKG8P79q)\[] |

**Returns:** *Promise‹*[*SimpleSto*](broken://pages/-M-tw-_piA8CGvVwMlQi) *|* [*TieredSto*](broken://pages/-M-tw-_s2mCsrosd0XRo)*\[]›*

### launchSimpleSto

▸ **launchSimpleSto**(`args`: object): *Promise‹*[*TransactionQueue*](broken://pages/-M-tw-_ttRjEt_eA5M8H)*‹*[*LaunchSimpleStoProcedureArgs*](broken://pages/-M-tw-c__u-u_ABKMXw1)*,* [*SimpleSto*](broken://pages/-M-tw-_piA8CGvVwMlQi)*››*

*Defined in* [*src/entities/SecurityToken/Issuance/Offerings.ts:168*](https://github.com/PolymathNetwork/polymath-sdk/blob/550676f/src/entities/SecurityToken/Issuance/Offerings.ts#L168)

Launch a Simple STO

**Parameters:**

▪ **args**: *object*

| Name                 | Type                          |
| -------------------- | ----------------------------- |
| `allowPreIssuance?`  | undefined \| false \| true    |
| `currency`           | Currency.ETH \| Currency.POLY |
| `endDate`            | Date                          |
| `raisedFundsWallet`  | string                        |
| `rate`               | BigNumber                     |
| `startDate`          | Date                          |
| `tokensOnSale`       | BigNumber                     |
| `unsoldTokensWallet` | string                        |

**Returns:** *Promise‹*[*TransactionQueue*](broken://pages/-M-tw-_ttRjEt_eA5M8H)*‹*[*LaunchSimpleStoProcedureArgs*](broken://pages/-M-tw-c__u-u_ABKMXw1)*,* [*SimpleSto*](broken://pages/-M-tw-_piA8CGvVwMlQi)*››*

### launchTieredSto

▸ **launchTieredSto**(`args`: [LaunchTieredStoParams](broken://pages/-M-tw-bpwRKfAajuiUTZ)): *Promise‹any›*

*Defined in* [*src/entities/SecurityToken/Issuance/Offerings.ts:203*](https://github.com/PolymathNetwork/polymath-sdk/blob/550676f/src/entities/SecurityToken/Issuance/Offerings.ts#L203)

Launch a Tiered STO

**Parameters:**

| Name   | Type                                                         |
| ------ | ------------------------------------------------------------ |
| `args` | [LaunchTieredStoParams](broken://pages/-M-tw-bpwRKfAajuiUTZ) |

**Returns:** *Promise‹any›*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/classic-sdk/beta/external-modules/_entities_securitytoken_issuance_offerings_.offerings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
